org.deidentifier.arx

## Class ARXClassificationConfiguration<T extends ARXClassificationConfiguration<?>>

- java.lang.Object
- - org.deidentifier.arx.ARXClassificationConfiguration<T>

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

Direct Known Subclasses:
  ClassificationConfigurationLogisticRegression, ClassificationConfigurationNaiveBayes, ClassificationConfigurationRandomForest

    public abstract class ARXClassificationConfiguration<T extends ARXClassificationConfiguration<?>>
    extends java.lang.Object
    implements java.io.Serializable, java.lang.Cloneable

An base class for configuration classes for classification experiments

Author:
  Fabian Prasser
See Also:
  Serialized Form

### Field Summary

Fields
`static boolean` `DEFAULT_DETERMINISTIC` Default value
`static int` `DEFAULT_MAX_RECORDS` Default value
`static int` `DEFAULT_NUMBER_OF_FOLDS` Default value
`static int` `DEFAULT_VECTOR_LENGTH` Default value

### Constructor Summary

Constructors
Constructor and Description
`ARXClassificationConfiguration()` Creates a new instance with default settings

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
`abstract ARXClassificationConfiguration<T>` `clone()`
`static ClassificationConfigurationLogisticRegression` `createLogisticRegression()` Creates a new instance for logistic regression classifiers
`static ClassificationConfigurationNaiveBayes` `createNaiveBayes()` Creates a new instance for naive bayes classifiers
`static ClassificationConfigurationRandomForest` `createRandomForest()` Creates a new instance for random forest classifiers
`int` `getMaxRecords()`
`int` `getNumFolds()`
`long` `getSeed()`
`int` `getVectorLength()`
`boolean` `isDeterministic()` Returns whether the process should be deterministic
`boolean` `isModified()` Is this configuration modified
`void` `parse(ARXClassificationConfiguration<?> config)` Parses another configuration
`T` `setDeterministic(boolean deterministic)` Sets whether the process should be deterministic
`T` `setMaxRecords(int maxRecords)`
`void` `setModified()` Sets modified
`T` `setNumFolds(int numberOfFolds)`
`T` `setSeed(int seed)` Seed for randomization.
`void` `setUnmodified()` Set unmodified
`T` `setVectorLength(int vectorLength)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_DETERMINISTIC

    public static final boolean DEFAULT_DETERMINISTIC

Default value

See Also:
  Constant Field Values

#### DEFAULT_MAX_RECORDS

    public static final int DEFAULT_MAX_RECORDS

Default value

See Also:
  Constant Field Values

#### DEFAULT_NUMBER_OF_FOLDS

    public static final int DEFAULT_NUMBER_OF_FOLDS

Default value

See Also:
  Constant Field Values

#### DEFAULT_VECTOR_LENGTH

    public static final int DEFAULT_VECTOR_LENGTH

Default value

See Also:
  Constant Field Values

### Constructor Detail

#### ARXClassificationConfiguration

    public ARXClassificationConfiguration()

Creates a new instance with default settings

### Method Detail

#### createLogisticRegression

    public static ClassificationConfigurationLogisticRegression createLogisticRegression()

Creates a new instance for logistic regression classifiers

Returns:

#### createNaiveBayes

    public static ClassificationConfigurationNaiveBayes createNaiveBayes()

Creates a new instance for naive bayes classifiers

Returns:

#### createRandomForest

    public static ClassificationConfigurationRandomForest createRandomForest()

Creates a new instance for random forest classifiers

Returns:

#### clone

    public abstract ARXClassificationConfiguration<T> clone()

Overrides:
  `clone` in class `java.lang.Object`

#### getMaxRecords

    public int getMaxRecords()

Returns:
  the maxRecords to consider

#### getNumFolds

    public int getNumFolds()

Returns:
  the numberOfFolds

#### getSeed

    public long getSeed()

Returns:
  the seed

#### getVectorLength

    public int getVectorLength()

Returns:
  the vectorLength

#### isDeterministic

    public boolean isDeterministic()

Returns whether the process should be deterministic

Returns:

#### isModified

    public boolean isModified()

Is this configuration modified

Returns:

#### parse

    public void parse(ARXClassificationConfiguration<?> config)

Parses another configuration

Parameters:
  `config` -

#### setDeterministic

    public T setDeterministic(boolean deterministic)

Sets whether the process should be deterministic

Parameters:
  `deterministic` -
Returns:

#### setMaxRecords

    public T setMaxRecords(int maxRecords)

Parameters:
  `maxRecords` - the maxRecords to set

#### setModified

    public void setModified()

Sets modified

#### setNumFolds

    public T setNumFolds(int numberOfFolds)

Parameters:
  `numberOfFolds` - the numberOfFolds to set

#### setSeed

    public T setSeed(int seed)

Seed for randomization. Set to Integer.MAX_VALUE for randomization.

Parameters:
  `seed` - the seed to set

#### setUnmodified

    public void setUnmodified()

Set unmodified

#### setVectorLength

    public T setVectorLength(int vectorLength)

Parameters:
  `vectorLength` - the vectorLength to set